gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-taler-mdb] branch master updated: simpify logic


From: gnunet
Subject: [taler-taler-mdb] branch master updated: simpify logic
Date: Sun, 14 Jan 2024 18:12:40 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository taler-mdb.

The following commit(s) were added to refs/heads/master by this push:
     new 53ae178  simpify logic
53ae178 is described below

commit 53ae1784e21f74d5ed6da9504f61283aaa71d125
Author: Christian Grothoff <grothoff@gnunet.org>
AuthorDate: Sun Jan 14 18:12:35 2024 +0100

    simpify logic
---
 contrib/taler-mdb-network-check.sh | 25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

diff --git a/contrib/taler-mdb-network-check.sh 
b/contrib/taler-mdb-network-check.sh
index 3ceb47a..bfb3a79 100755
--- a/contrib/taler-mdb-network-check.sh
+++ b/contrib/taler-mdb-network-check.sh
@@ -118,24 +118,9 @@ function show_failure()
     ERROR_PID=$!
 }
 
-# Function to run when our child died.
-function childdeath()
-{
-    if ! ps "$ERROR_PID" &> /dev/null
-    then
-        wait "${ERROR_PID}"
-        ERROR_PID="-1"
-    fi
-    if ! ps "$CHILD_PID" &> /dev/null
-    then
-        wait "${CHILD_PID}"
-        CHILD_PID="-1"
-    fi
-}
 
 # Install cleanup handler (except for kill -9)
 trap cleanup EXIT
-trap childdeath SIGCHLD
 
 # shellcheck disable=SC2120
 function check_network()
@@ -219,4 +204,14 @@ do
     echo "Checking network status"
     check_network
     sleep 30
+    if ! ps "$ERROR_PID" &> /dev/null
+    then
+        wait "${ERROR_PID}"
+        ERROR_PID="-1"
+    fi
+    if ! ps "$CHILD_PID" &> /dev/null
+    then
+        wait "${CHILD_PID}"
+        CHILD_PID="-1"
+    fi
 done

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]